"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = createNumberMask;

function createNumberMask(props) {
  const {
    delimiter = ".",
    precision = 2,
    prefix = ["R", "$", " "],
    separator = ","
  } = props || {};
  return value => {
    const numericValue = (value === null || value === void 0 ? void 0 : value.replace(/\D+/g, "")) || "";
    const mask = numericValue.split("").map(() => /\d/);

    if (mask.length > precision) {
      mask.splice(-precision, 0, separator);
    }

    const delimiters = Math.ceil((numericValue.length - precision) / 3) - 1;

    for (let i = 1; i <= delimiters; i++) {
      const position = -precision - i * 3 - i;
      mask.splice(position, 0, delimiter);
    }

    return [...prefix, ...mask];
  };
}
//# sourceMappingURL=createNumberMask.js.map