"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var React = _interopRequireWildcard(require("react"));

var _reactNative = require("react-native");

var _Text = _interopRequireDefault(require("react-native-simple-elements/components/Text"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function () { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

const defaultProps = {
  options: [],
  height: 56
};

const ScrollableTab = props => {
  const {
    options,
    onItemPress,
    height,
    style
  } = props;

  const _handleItemPress = (item, index) => {
    if (typeof onItemPress === "function") {
      onItemPress(item, index);
    }
  };

  const renderItem = ({
    item,
    index
  }) => {
    return /*#__PURE__*/React.createElement(_reactNative.Pressable, {
      key: index,
      onPress: () => _handleItemPress(item, index)
    }, /*#__PURE__*/React.createElement(_Text.default, null, "".concat(item.label)));
  };

  return /*#__PURE__*/React.createElement(_reactNative.FlatList, {
    horizontal: true,
    data: options,
    renderItem: renderItem,
    style: _reactNative.StyleSheet.flatten([style, {
      height
    }])
  });
};

ScrollableTab.defaultProps = defaultProps;
var _default = ScrollableTab;
exports.default = _default;
//# sourceMappingURL=ScrollableTab.js.map