import * as React from "react";
import styled from "styled-components/native";
import { compose, layout, position, space } from "styled-system";
const SUPPORTED_RATIOS = {
  "1x1": "100%",
  "4x3": "75%",
  "16x9": "56.25%",
  "21x9": "42.857143%",
  "36x9": "25%"
};
const StyledBox = styled.View(compose(layout, space, position));
StyledBox.defaultProps = {
  position: "relative",
  width: "100%"
};
const StyledBoxHolder = styled.View(compose(layout, space, position));
StyledBoxHolder.defaultProps = {
  width: "100%"
};
const StyledBoxConttent = styled.View(compose(layout, space, position));
StyledBoxConttent.defaultProps = {
  width: "100%",
  height: "100%",
  overflow: "hidden",
  position: "absolute",
  top: "0",
  right: "0",
  left: "0"
};
const defaultProps = {
  ratio: "16x9"
};

const RatioBox = props => {
  var _SUPPORTED_RATIOS$rat;

  const {
    ratio,
    children
  } = props;
  return /*#__PURE__*/React.createElement(StyledBox, {
    testID: "ratiobox",
    height: "auto"
  }, /*#__PURE__*/React.createElement(StyledBoxHolder, {
    paddingTop: (_SUPPORTED_RATIOS$rat = SUPPORTED_RATIOS[ratio]) !== null && _SUPPORTED_RATIOS$rat !== void 0 ? _SUPPORTED_RATIOS$rat : SUPPORTED_RATIOS["16x9"],
    testID: "ratiobox_placeholder"
  }), /*#__PURE__*/React.createElement(StyledBoxConttent, {
    testID: "ratiobox_content"
  }, children));
};

RatioBox.defaultProps = defaultProps;
export default RatioBox;
//# sourceMappingURL=RatioBox.js.map