import * as React from "react";
import Drawer from "react-native-simple-elements/components/Drawer";

const SimpleDrawer = props => {
  const {
    items,
    onItemPress,
    drawerPaddingTop
  } = props;

  const _handleItemPress = item => {
    if (typeof onItemPress === "function") {
      onItemPress(item);
    }
  };

  return /*#__PURE__*/React.createElement(Drawer, {
    drawerPaddingTop: drawerPaddingTop
  }, Array.isArray(items) && items.length > 0 && items.map((item, index) => {
    return /*#__PURE__*/React.createElement(Drawer.Item, {
      key: index,
      label: "Item ".concat(index),
      onPress: () => _handleItemPress(item)
    });
  }));
};

export default SimpleDrawer;
//# sourceMappingURL=SimpleDrawer.js.map